package org.jeecg.modules.basedata.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.basedata.entity.FdPersonnel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.system.entity.SysRole;

/**
 * @Description: 人员表
 * @author： jeecg-boot
 * @date：   2019-05-09
 * @version： V1.0
 */
public interface FdPersonnelMapper extends BaseMapper<FdPersonnel> {
    long getCount();

    List<FdPersonnel> getAllPage(Map<String, Object> mp);

    FdPersonnel getByIdPersonnel(@Param("id")String id);

    public List<FdPersonnel> queryApprover();

    List<FdPersonnel> getPersonnelByRole(@Param("roleId") String roleId);

    List<SysRole> getRoleBypersonnelList();

    List<FdPersonnel> getPersonnelByRoleLists(@Param("list") List<String> list);

    @Select("SELECT name FROM fd_personnel WHERE code = #{code}")
    String queryNameByCode(String code);

    IPage<FdPersonnel> findByPage(Page<FdPersonnel> page, @Param("ew") QueryWrapper<FdPersonnel> queryWrapper);

}
